import './App.css';
import Leaderboard from "./Leaderboard";
import React, { useState, useEffect } from 'react';

function App() {
  const [data, setData] = useState(null);

  useEffect(() => {
    fetch('/api/leaderboard')
      .then((response) => response.json())
      .then((data) => {
        setData(data);
      })
      .catch((err) => {
        console.log(err.message);
      });
  }, []);

  return (
    <div className="App">
      <header className="App-header">
      <h1>Leaderboard</h1>
      {
        data ? <Leaderboard hashmap={data} /> : <span>Loading...</span>
      }
      </header>
    </div>
  );
}

export default App;
