import React from "react";

//const Leaderboard = ({hashmap}) => {

// var listItems = Object.keys(hashmap).map(playerName => {
//   var rank = hashmap[playerName];

//   return <li key={playerName}>
//     {playerName}: played {rank.gamesPlayed}, won {rank.gamesWon}, draw {rank.gamesDraw}
//   </li>
// });

// return <ul>{listItems}</ul>;

const Leaderboard = ({ hashmap }) => {

  const tableRows = Object.keys(hashmap).map(playerName => {
    var rank = hashmap[playerName];

    return <tr key={playerName}>
      <td>{playerName}</td>
      <td>{rank.gamesPlayed}</td>
      <td>{rank.gamesWon}</td>
      <td>{rank.gamesDraw}</td>
    </tr>
  });

  return <div>
    <table>
      <thead>
        <tr>
          <th>Name</th>
          <th>Played</th>
          <th>Won</th>
          <th>Draw</th>
        </tr>
      </thead>
      <tbody>
        { tableRows }
      </tbody>
    </table>
  </div>
};


export default Leaderboard;
